> ## Documentation Index
> Fetch the complete documentation index at: https://eigendb.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Insert embeddings

> Inserts a set of embeddings into the database.



## OpenAPI

````yaml /api-reference/specs/embeddings.yaml put /api/v1/embeddings/{indexName}/insert
openapi: 3.0.3
info:
  title: EigenDB REST API
  description: REST API for EigenDB.
  version: 1.0.0
servers: []
security:
  - ApiKeyAuth: []
paths:
  /api/v1/embeddings/{indexName}/insert:
    put:
      summary: Insert embeddings
      description: Inserts a set of embeddings into the database.
      operationId: insertEmbeddings
      parameters:
        - name: indexName
          in: path
          description: Name of the index
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - embeddings
              properties:
                embeddings:
                  type: array
                  items:
                    $ref: '#/components/schemas/embeddingSchema'
                    type: object
                  description: Embeddings to be inserted.
      responses:
        '200':
          description: Embedding successfully inserted.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseSchema'
              example:
                status: 200
                message: 50/50 embeddings successfully inserted.
        '500':
          description: An internal server error occured.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseSchema'
              example:
                status: 500
                message: 49/50 embeddings successfully inserted.
                error:
                  code: EMBEDDINGS_SKIPPED
                  description: detailed description of the error...
components:
  schemas:
    embeddingSchema:
      type: object
      properties:
        data:
          type: array
          items:
            type: number
            format: float
          description: The embedding's data
        id:
          type: integer
          description: The embedding's ID
        metadata:
          type: object
          description: The embedding's metadata (set to {} for empty metadata)
      required:
        - data
        - id
        - metadata
    responseSchema:
      type: object
      properties:
        status:
          type: integer
          description: Status code of the response
        message:
          type: string
          description: Message giving basic information on the response
        data:
          type: object
          description: Important data to be given to the caller
        error:
          type: object
          description: An error that has occured
          properties:
            code:
              type: string
              description: An error code unique to this type of error
            description:
              type: string
              description: A detailed description of the error
      required:
        - status
        - message
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Eigen-API-Key

````